Debian Bug report logs - #303466
xfe: renaming to/from upper/lower case on vfat partitions deletes file

version graph

Package: xfe; Maintainer for xfe is Joachim Wiedorn <ad_debian@joonet.de>; Source for xfe is src:xfe.

Reported by: Andreas Hartmann <andi@ahash.de>

Date: Wed, 6 Apr 2005 20:48:09 UTC

Severity: critical

Tags: sarge

Found in version 0.66-6

Fixed in version xfe/0.72-6

Done: Frank Lichtenheld <djpig@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Bastian Kleineidam <calvin@debian.org>:
Bug#303466; Package xfe. Full text and rfc822 format available.

Acknowledgement sent to Andreas Hartmann <andi@ahash.de>:
New Bug report received and forwarded. Copy sent to Bastian Kleineidam <calvin@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Hartmann <andi@ahash.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xfe: renaming to/from upper/lower case on vfat partitions deletes file
Date: Wed, 06 Apr 2005 22:37:50 +0200
Package: xfe
Version: 0.66-6
Severity: critical
Justification: causes serious data loss


Assume a file on a mounted vfat partition, called "test". Trying to change
it's name to "Test" will diplay a warning box:

  File /mnt/data/Test already exists. Overwrite?

Upon confirmation with the "Yes" button, the file is immediately deleted, even
before another "Error" box appears:

  Cannot rename to target /mnt/data/Test


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-andi-1
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages xfe depends on:
ii  libc6                       2.3.2.ds1-20 GNU C Library: Shared libraries an
ii  libfox1.0                   1.0.52-2     The FOX C++ GUI Toolkit
ii  libgcc1                     1:3.4.3-12   GCC support library
ii  libpng12-0                  1.2.8rel-1   PNG library - runtime
ii  libstdc++5                  1:3.3.5-8    The GNU Standard C++ Library v3

-- no debconf information



Reply sent to Bastian Kleineidam <calvin@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Hartmann <andi@ahash.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 303466-close@bugs.debian.org (full text, mbox):

From: Bastian Kleineidam <calvin@debian.org>
To: 303466-close@bugs.debian.org
Subject: Bug#303466: fixed in xfe 0.72-6
Date: Sun, 10 Apr 2005 15:48:46 -0400
Source: xfe
Source-Version: 0.72-6

We believe that the bug you reported is fixed in the latest version of
xfe, which is due to be installed in the Debian FTP archive:

xfe_0.72-6.diff.gz
  to pool/main/x/xfe/xfe_0.72-6.diff.gz
xfe_0.72-6.dsc
  to pool/main/x/xfe/xfe_0.72-6.dsc
xfe_0.72-6_i386.deb
  to pool/main/x/xfe/xfe_0.72-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 303466@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Kleineidam <calvin@debian.org> (supplier of updated xfe package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 10 Apr 2005 20:53:26 +0200
Source: xfe
Binary: xfe
Architecture: source i386
Version: 0.72-6
Distribution: unstable
Urgency: high
Maintainer: Bastian Kleineidam <calvin@debian.org>
Changed-By: Bastian Kleineidam <calvin@debian.org>
Description: 
 xfe        - lightweight file manager for X11
Closes: 303466
Changes: 
 xfe (0.72-6) unstable; urgency=high
 .
   * build depend on fox1.2 >= 1.2.13 to be sure having a working .shlibs
     file
   * Fix the identity test to compare inodes rather than only names. This
     resulted in false negatives on case-independent file systems (eg.
     vfat). (Closes: #303466)
Files: 
 0e9b383a24dd347c8b17ade84208422d 644 x11 optional xfe_0.72-6.dsc
 ad3f6122c1d2e2a0b060f2abeee95727 39721 x11 optional xfe_0.72-6.diff.gz
 28b90eabaa72d5871aefa7805baacc36 608004 x11 optional xfe_0.72-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.0 (GNU/Linux)

iD8DBQFCWXqmeBwlBDLsbz4RAj8CAJ45qCwgps00J6Dv2IhA9ZK70SgZqwCg0MYu
uZnFvuMCuk7TzAiOjdo4SpY=
=vVG9
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: sarge Request was from Adrian Bunk <bunk@stusta.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Kleineidam <calvin@debian.org>:
Bug#303466; Package xfe. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Kleineidam <calvin@debian.org>. Full text and rfc822 format available.

Message #19 received at 303466@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 303466@bugs.debian.org
Subject: Re: Bug#303466: marked as done (xfe: renaming to/from upper/lower case on vfat partitions deletes file)
Date: Thu, 5 May 2005 12:25:25 +0200
On Sun, Apr 10, 2005 at 01:03:11PM -0700, Debian Bug Tracking System wrote:
> Source: xfe
> Source-Version: 0.72-6
> 
> We believe that the bug you reported is fixed in the latest version of
> xfe, which is due to be installed in the Debian FTP archive:
[...]

>    * Fix the identity test to compare inodes rather than only names. This
>      resulted in false negatives on case-independent file systems (eg.
>      vfat). (Closes: #303466)

For this fix to propagate to sarge a t-p-u upload will be necessary.
Or else the package needs to be removed from testing.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Information forwarded to debian-bugs-dist@lists.debian.org, Bastian Kleineidam <calvin@debian.org>:
Bug#303466; Package xfe. Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to Bastian Kleineidam <calvin@debian.org>. Full text and rfc822 format available.

Message #24 received at 303466@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 303466@bugs.debian.org
Subject: Re: Bug#303466: marked as done (xfe: renaming to/from upper/lower case on vfat partitions deletes file)
Date: Thu, 5 May 2005 12:52:19 +0200
On Thu, May 05, 2005 at 12:25:25PM +0200, Frank Lichtenheld wrote:
> On Sun, Apr 10, 2005 at 01:03:11PM -0700, Debian Bug Tracking System wrote:
> > Source: xfe
> > Source-Version: 0.72-6
> > 
> > We believe that the bug you reported is fixed in the latest version of
> > xfe, which is due to be installed in the Debian FTP archive:
> [...]
> 
> >    * Fix the identity test to compare inodes rather than only names. This
> >      resulted in false negatives on case-independent file systems (eg.
> >      vfat). (Closes: #303466)
> 
> For this fix to propagate to sarge a t-p-u upload will be necessary.
> Or else the package needs to be removed from testing.

Ignore this mail. It was incorrect.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Reply sent to Frank Lichtenheld <djpig@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Hartmann <andi@ahash.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 303466-done@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 303466-done@bugs.debian.org
Subject: Fixed version in sarge
Date: Fri, 6 May 2005 16:33:41 +0200
0.72-6 has reached testing

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 15:53:57 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.